# Copyright(c) 2000-2003 Association of Universities for Research in Astronomy, Inc.
#
# Package script for the gemtools package
#
# load necessary packages - if anything else than loaded
# by gemini should be necessary
specred
# Load the NMISC package.
if (deftask("nmisc")==no) {
   print("ERROR: The NMISC package is required but not defined.")
   bye()
}
;
nmisc

package gemtools

# Co-addition of direct images, same task in all packages
task      imcoadd=gemtools$imcoadd.cl


# MONGO like graphs
task      mgograph=gemtools$mgograph.cl

# Seeing determination
task      gemseeing=gemtools$gemseeing.cl

# Generic arithmetic for MEF images/spectra
# DQ handling
# MEF combine
task      gemarith=gemtools$gemarith.cl
task      gemcombine=gemtools$gemcombine.cl

# Headers
task      gemhead=gemtools$gemhead.cl

# hidden
task      printlog=gemtools$printlog.cl
hidetask printlog
task gsetsec=gemtools$gsetsec.cl
hidetask gsetsec

task      gextverify=gemtools$gextverify.cl
task      gimverify=gemtools$gimverify.cl
task      gemvsample=gemtools$gemvsample.cl
task      gemhedit=gemtools$gemhedit.cl
task      gemqa=gemtools$gemqa.cl
task      gemlogname=gemtools$gemlogname.cl
task      gemoffsetlist=gemtools$gemoffsetlist.cl
hidetask("gimverify","gextverify")

# MEF handling 
task      wmef=gemtools$wmef.cl

# Compiled tasks 
task	gemextn		= "gemtools$x_gemtools.e"

clbye()
